package org.jeecg.modules.adweb.materialcollect.dto;

import lombok.Data;

import java.math.BigDecimal;

/**
 * @Author jerry
 * @Date 2022/5/7 14:23
 * @Version 1.0
 */
@Data
public class DetectResult {
    /**
     * 检测项名称
     */
    private String label;

    /**
     * 菜单路径
     */
    private String menuPath;

    /**
     * 是否完成
     */
    private boolean finish;

    /**
     * 结果
     */
    private String result;

    /**
     * 检测得分
     */
    private BigDecimal score;

    /**
     * 检测进度
     */
    private BigDecimal percent;

    /**
     * 检测项是否必填  是否必填（0：必填，1：非必填)
     */
    private int required;
}
