package org.jeecg.modules.adweb.materialcollect.dto;

import lombok.Data;

import java.util.List;

/**
 * @Author jerry
 * @Date 2022/4/12 16:06
 * @Version 1.0
 */
@Data
public class CategoryTreeDto {

    /** 对应id字段,前端数据树中的key*/
    private Integer key;

    /** 对应id字段,前端数据树中的value*/
    private Integer value;

    /** 对应字段,前端数据树中的title*/
    private String title;

    /**
     * 子分类树结构数据
     */
    private List<CategoryTreeDto> children;

}
