package org.jeecg.modules.adweb.materialcollect.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import java.io.Serializable;
import java.util.Date;

/**
 * WordPress物料信息
 */
@Data
@TableName("word_press_material")
public class WordPressMaterial implements Serializable {

	/**
     * id
     */
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 物料id
     */
    private Integer materialId;

	/**
     * 站点code
     */
    private String siteCode;

    /**
     * 物料类型
     */
    private String type;

    /**
     * 站点域名
     */
    private String domain;

	/**
     * 回调地址
     */
    private String callbackUrl;

	/**
     * 简述
     */
    private String sketch;

	/**
     * 详情
     */
    private String detail;

    /**
     * 回调次数
     */
    private Integer sendCount;

	/**
     * 回调状态 0:未回调；1：回调成功，2：回调失败
     */
    private Integer sendStatus;

    /**
     * 创建时间
     */
    private Date createTime;
}
